Retrieves all the equipment_brand objects

Request Information

URI Parameters :

None.

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

equipment_brand
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the equipment brand

string

Required

Max length: 50

code

The Id/Ref of the back office. Used by Embedded entity

string

Max length: 50

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating company_type

string
sales_organization

Embedded entity "sales_organization" when adding/updating company_type

sales_organization
modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "ac458c59-5d73-442f-97d6-11b9a5fe2a05",
  "name": "sample string 2",
  "code": "sample string 3",
  "sales_organization_id": "b356f228-8b0f-4622-97be-58eebbe39bfd",
  "sales_organization_code": "sample string 5",
  "sales_organization": {
    "id": "de625c61-bafe-4f7f-86cc-9285f848fbf1",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "95cdcb68-bb8d-4b00-8685-b83b25d98f03",
    "db_currency_id": "7b796aa4-7d9f-4a37-9d78-948839b25089",
    "db_language_id": "bff64463-fd6a-4a6d-830e-c0f29b1805c9",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-07-15T23:48:12.6484682+00:00"
  },
  "modified_dateutc": "2026-07-15T23:48:12.6484682+00:00"
}